# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.

VB_NAME = {
  "NSA_Front" => "debian/stretch64",
  "NSA_Back" => "debian/stretch64",
  "NSA_SQL" => "debian/stretch64",
  "NSA_Github" => "debian/stretch64"
}

Vagrant.configure("2") do |config|
  VB_NAME.each_with_index do |(hostname, value), index|
    config.vm.define "node-#{index}" do |node|
      node.vm.network "private_network", ip: "192.168.50.#{index+2}"
      node.vm.box = value
      node.vm.provider "virtualbox" do |provider|
        provider.name = hostname
      end
      if index == 3
        node.vm.provision "ansible" do |ansible|
          ansible.limit = "all"
          ansible.playbook = "playbook.yml"
        end
      end
    end
  end
end
